/// <reference types="react" />
import * as React from 'react';
import { IgRect } from "igniteui-react-core/ES2015/IgRect";
import { ZoomSliderOrientation } from "./ZoomSliderOrientation";
import { ZoomSliderResolvingAxisValueEventArgs } from "./igr-zoom-slider-resolving-axis-value-event-args";
import { RectChangedEventArgs } from "igniteui-react-core/ES2015/igr-rect-changed-event-args";
import { ZoomSlider } from "./ZoomSlider";
export declare class IgrZoomSlider<P extends IIgrZoomSliderProps = IIgrZoomSliderProps> extends React.Component<P, {}> {
    protected createImplementation(): ZoomSlider;
    protected _implementation: any;
    readonly i: ZoomSlider;
    private onImplementationCreated();
    constructor(props: P);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): any;
    panTransitionDuration: number;
    maxZoomWidth: number;
    pixelScalingRatio: number;
    actualPixelScalingRatio: number;
    windowRect: IgRect;
    minZoomWidth: number;
    startInset: number;
    endInset: number;
    trackStartInset: number;
    trackEndInset: number;
    barExtent: number;
    orientation: ZoomSliderOrientation;
    lowerThumbBrush: string;
    lowerThumbStrokeThickness: number;
    higherThumbStrokeThickness: number;
    higherThumbBrush: string;
    lowerThumbOutline: string;
    higherThumbOutline: string;
    lowerThumbRidgesBrush: string;
    higherThumbRidgesBrush: string;
    lowerThumbWidth: number;
    higherThumbWidth: number;
    lowerThumbHeight: number;
    higherThumbHeight: number;
    lowerShadeBrush: string;
    lowerShadeOutline: string;
    lowerShadeStrokeThickness: number;
    higherShadeBrush: string;
    higherShadeOutline: string;
    higherShadeStrokeThickness: number;
    barBrush: string;
    barOutline: string;
    barStrokeThickness: number;
    rangeThumbBrush: string;
    rangeThumbOutline: string;
    rangeThumbStrokeThickness: number;
    rangeThumbRidgesBrush: string;
    lowerCalloutBrush: string;
    lowerCalloutTextColor: string;
    lowerCalloutOutline: string;
    lowerCalloutStrokeThickness: number;
    higherCalloutBrush: string;
    higherCalloutTextColor: string;
    higherCalloutOutline: string;
    higherCalloutStrokeThickness: number;
    readonly isCustomThumbProvided: boolean;
    readonly isCustomRangeThumbProvided: boolean;
    readonly isCustomBarProvided: boolean;
    readonly isCustomShadeProvided: boolean;
    areThumbCalloutsEnabled: boolean;
    ThumbCalloutTextStyle: string;
    destroy(): void;
    provideContainer(container: any): void;
    flush(): void;
    trackDirty(): void;
    private _resolvingAxisValue;
    private _resolvingAxisValue_wrapped;
    protected resolvingAxisValue: (s: IgrZoomSlider, e: ZoomSliderResolvingAxisValueEventArgs) => void;
    private _windowRectChanged;
    private _windowRectChanged_wrapped;
    protected windowRectChanged: (s: IgrZoomSlider, e: RectChangedEventArgs) => void;
}
export interface IIgrZoomSliderProps {
    panTransitionDuration?: number;
    maxZoomWidth?: number;
    pixelScalingRatio?: number;
    actualPixelScalingRatio?: number;
    windowRect?: IgRect;
    minZoomWidth?: number;
    startInset?: number;
    endInset?: number;
    trackStartInset?: number;
    trackEndInset?: number;
    barExtent?: number;
    orientation?: ZoomSliderOrientation;
    lowerThumbBrush?: string;
    lowerThumbStrokeThickness?: number;
    higherThumbStrokeThickness?: number;
    higherThumbBrush?: string;
    lowerThumbOutline?: string;
    higherThumbOutline?: string;
    lowerThumbRidgesBrush?: string;
    higherThumbRidgesBrush?: string;
    lowerThumbWidth?: number;
    higherThumbWidth?: number;
    lowerThumbHeight?: number;
    higherThumbHeight?: number;
    lowerShadeBrush?: string;
    lowerShadeOutline?: string;
    lowerShadeStrokeThickness?: number;
    higherShadeBrush?: string;
    higherShadeOutline?: string;
    higherShadeStrokeThickness?: number;
    barBrush?: string;
    barOutline?: string;
    barStrokeThickness?: number;
    rangeThumbBrush?: string;
    rangeThumbOutline?: string;
    rangeThumbStrokeThickness?: number;
    rangeThumbRidgesBrush?: string;
    lowerCalloutBrush?: string;
    lowerCalloutTextColor?: string;
    lowerCalloutOutline?: string;
    lowerCalloutStrokeThickness?: number;
    higherCalloutBrush?: string;
    higherCalloutTextColor?: string;
    higherCalloutOutline?: string;
    higherCalloutStrokeThickness?: number;
    areThumbCalloutsEnabled?: boolean;
    ThumbCalloutTextStyle?: string;
}
